#ifndef __GTK_ITUNES_INTERFACE_H
#define __GTK_ITUNES_INTERFACE_H

#include "grooves.h"

GtkWidget* create_wMainWindow (struct vMainWindowInfoStruct *);
GtkWidget* create_dAboutDialog (struct vAboutWindowInfoStruct *);
GtkWidget* create_dLoginDialog (struct vLoginWindowInfoStruct *);
//GtkWidget* create_dAlertDialog (struct vAlertWindowInfoStruct *);
GtkWidget* create_dPurchaseDialog (struct vBuyWindowInfoStruct *);
GtkWidget* create_dRedeemDialog (struct vRedeemWindowInfoStruct *);
GtkWidget* create_dPrefsDialog (struct vPrefsWindowInfoStruct *);

struct vAboutWindowInfoStruct *
getAboutDialog();

struct vPrefsWindowInfoStruct *
getPrefsDialog();

struct vBuyWindowInfoStruct *
getPurchaseDialog();

struct vRedeemWindowInfoStruct *
getRedeemDialog();

struct vLoginWindowInfoStruct *
getLoginDialog();

extern struct vMainWindowInfoStruct rMainStruct;

#endif /*__GTK_ITUNES_INTERFACE_H*/
